Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfCaptionEscapeDirectionType

    java.lang.Object
      java.lang.Enum<OdfCaptionEscapeDirectionType>
          org.odftoolkit.odfdom.dom.type.draw.OdfCaptionEscapeDirectionType

All Implemented Interfaces:
  Serializable, Comparable<OdfCaptionEscapeDirectionType>

    public enum OdfCaptionEscapeDirectionType

extends Enum<OdfCaptionEscapeDirectionType>

DOM implementation of OpenDocument attribute draw:caption-escape-direction.

Enum Constant Summary
`AUTO`
`HORIZONTAL`
`VERTICAL`

Method Summary
`static OdfCaptionEscapeDirectionType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfCaptionEscapeDirectionType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfCaptionEscapeDirectionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfCaptionEscapeDirectionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final OdfCaptionEscapeDirectionType AUTO

### HORIZONTAL

    public static final OdfCaptionEscapeDirectionType HORIZONTAL

### VERTICAL

    public static final OdfCaptionEscapeDirectionType VERTICAL

Method Detail

### values

    public static OdfCaptionEscapeDirectionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfCaptionEscapeDirectionType c : OdfCaptionEscapeDirectionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfCaptionEscapeDirectionType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfCaptionEscapeDirectionType>`
  Returns:
    return the name of OdfCaptionEscapeDirectionType

### toString

    public static String toString(OdfCaptionEscapeDirectionType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfCaptionEscapeDirectionType, see draw:caption-escape-direction
  Returns:
    return the name of OdfCaptionEscapeDirectionType

### enumValueOf

    public static OdfCaptionEscapeDirectionType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfCaptionEscapeDirectionType
  Returns:
    return the constant of OdfCaptionEscapeDirectionType, see draw:caption-escape-direction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.